﻿using System;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;
using ScottPlot.Statistics;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            double[]   xPositionArray = DataGen.Range(0, 10);
            double[]   yPositionArray = DataGen.Range(0, 10);
            Vector2[,] vectorArray    = new Vector2[xPositionArray.Length, yPositionArray.Length];

            for(int x = 0; x < xPositionArray.Length; x++)
            {
                for(int y = 0; y < yPositionArray.Length; y++)
                {
                    vectorArray[x, y] = new Vector2
                    (
                        x : Math.Sin(xPositionArray[x]),
                        y : Math.Sin(yPositionArray[y])
                    );
                }
            }

            VectorField vectorField = plot.AddVectorField(vectorArray, xPositionArray, yPositionArray);

            vectorField.ScaledArrowheads = true;
            vectorField.Anchor           = ArrowAnchor.Base;
            vectorField.MarkerSize       = 3;

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}